#ifndef MSP_GRAPHICS_DISPLAY_PLATFORM_H_
#define MSP_GRAPHICS_DISPLAY_PLATFORM_H_

#include <X11/Xlib.h>
#ifdef WITH_XRANDR
#include <X11/extensions/Xrandr.h>
#endif
#include "window_private.h"

namespace Msp {
namespace Graphics {

typedef ::Display *DisplayHandle;

struct PlatformDisplayPrivate
{
	WindowHandle root_window;
#ifdef WITH_XRANDR
	std::vector<RROutput> monitors;
	std::vector<RRMode> modes;
#endif
};

} // namespace Graphics
} // namespace Msp

#endif
